Subject: linux-next: build failure after merge of the driver-core tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 15 Aug 2023 17:24:54 +1000

Hi all,

After merging the driver-core tree, today's linux-next build (x86_64
allmodconfig) failed like this:

ERROR: modpost: missing MODULE_LICENSE() in drivers/base/test/root-device-test.o
ERROR: modpost: missing MODULE_LICENSE() in drivers/base/test/platform-device-test.o

Caused by commits

  06188bc80ccb ("drivers: base: Add basic devm tests for root devices")
  b4cc44301b9d ("drivers: base: Add basic devm tests for platform devices")

I have used the driver-core tree from next-20230809 for today.

-- 
Cheers,
Stephen Rothwell